## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

### DELETE

/v2.0/aicopilotconfigs/{configId}

#### Delete an Agent Copilot Configuration

**cURL**

```bash
curl --request DELETE \
  --url https://api-trial.cognigy.ai/new/v2.0/aicopilotconfigs/{configId} \
  --header 'X-API-Key: <api-key>'
```

**Python**

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/aicopilotconfigs/{configId}"

headers = {"X-API-Key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
```

**JavaScript (Fetch API)**

```javascript
const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/aicopilotconfigs/{configId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

**PHP**

```php


```

### Response Status Codes

- **204**: The Agent Copilot Configuration was successfully deleted.

### Error Codes

```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Payment Required",
  "title": "Payment Required Error",
  "status": 402,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 402,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Forbidden",
  "title": "Forbidden Error",
  "status": 403,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

### Authorizations

- **X-API-Key**:
  - **Type**: string
  - **Location**: header
  - **Required**: Supply the API Key in the HTTP-Header

### Headers

- **Accept**: enum<string>
  - Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`.

### Path Parameters

- **configId**:
  - **Type**: string
  - **Required**: The Id of the Ai Copilot config
  - Required string length: `24`
  - Pattern: `^[a-z0-9]{24}$`
